We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy.
Unfortunately, activation email could not send to your email. Please try again.

SyncFusion Addon for Syncfusion Controls for UFT 12.0

Thread ID:

Created:

Updated:

Platform:

Replies:

116928 Jul 2,2014 04:05 PM Dec 1,2015 09:54 PM Windows Forms 43
loading
Tags: GridControl
Charanpreet Singh
Asked On July 2, 2014 04:05 PM

I have installed Essential Studio for windows. I have successfully enabled QTP Addon. Following are the steps I followed:-
1) Copied contents of SWFConfig from C:\Program Files (x86)\Syncfusion\Essential QTP\12.1.0.43\Config\4.0
to C:\Program Files (x86)\HP\Unified Functional Testing\dat folder SWFConfig file.
2) Restarted UFT and selected addings as .Net, ActiveX, web, wpf->Syncfusion
3) Started application having Syncfusion controls.

Still Syncfusion.Windows.Forms.Tools.TreeViewAdv is getting recognized as SWFObject.
Still Syncfusion.Windows.Forms.Tools.XPMenus.BarControlI nternal is getting recognized as SWFObject.


Also following is the treeviewADv sample code configured in swfconfig file:-
<Control Type="Syncfusion.Windows.Forms.Tools.TreeViewAdv">
<CustomRecord>
<Component>
<Context>AUT</Context>
<DllName>C:\Program Files (x86)\Syncfusion\Essential QTP\12.1.0.43\Bin\4.0\TreeViewAdv.dll</DllName>
<TypeName>Syncfusion.TestStudio.Tools.TreeViewAd v</TypeName>
</Component>
</CustomRecord>
<CustomReplay>
<Component>
<Context>AUT</Context>
<DllName>C:\Program Files (x86)\Syncfusion\Essential QTP\12.1.0.43\Bin\4.0\TreeViewAdv.dll</DllName>
<TypeName>Syncfusion.TestStudio.Tools.TreeViewAd v</TypeName>
</Component>
</CustomReplay>
</Control>

All the paths are correct. One thing I observed is in <Control Type="Syncfusion.Windows.Forms.Tools.TreeViewAdv"> , part MappedTo="Control Name" is not mentioned

Am I doing something wrong. Cople of questions below:-
 

1)      Does UFT 12.0 supports Syncfusion QTP addon?

2)      Does dll version 4.0, will work with UFT 12.0, .net framework 4.5?

 
Can someone let me know how to configure this so that syncfusion controls can be recognized.

Thanks

Charanpreet Singh
Replied On July 3, 2014 12:54 PM

Any update on this. Can someone suggest any solution on this.

Thanks.

Maniratheenam Sehar [Syncfusion]
Replied On July 4, 2014 05:38 AM

Hi Charanpreet Singh,

 

Thank you for your interest in Syncfusion Products.

 

 

Query 1:

Does UFT 12.0 supports Syncfusion QTP addon?

 

Yes. The UFT 12.0 supports Syncfusion QTP addon.

Query2:

Does dll version 4.0, will work with UFT 12.0, .net framework 4.5?

We would like to convey that if you are using application which is of version 4.0 i.e. if your dll version is 4.0 then the UFT you are going to use also should be the same. i.e. the swconfig should be the same version as your dll.

Query 3:

Syncfusion.Windows.Forms.Tools.TreeViewAdv is getting recognized as SWFObject.
Syncfusion.Windows.Forms.Tools.XPMenus.BarControlI nternal is getting recognized as SWFObject.

We would like to know that the reported arises only for TreeView? Do you experience the same in GridControl? We request you to provide us the recorded snippet for both Gridcontrol and TreeView respectively.

 

Please let us know, if you have any further concerns.

 

Regards,

ManiRatheenam S


Charanpreet Singh
Replied On July 7, 2014 01:20 PM

Hi Mani,

We do not have any grid control. I am attaching SWFConfig file which is present in .dat folder in UFT. I ahve verified the DLL path as well. It is correct. Also I am attaching word docuemnt which contains recorded script and SPY view for Menutree and BarControl_MainMenu.

I have one observation. After installing trial version for QTP Addon, C:\Program Files (x86)\Syncfusion\Essential QTP\12.1.0.43\bin
 folder only contains DLLs for 2.0,3.5 and 4.0. DLLs are missing for 4.5 and 4.5.1. Our applciation is build on 4.5. COuld you please suggest whether this might be the cause. Or suggest any solution for the same.

Kindly let me know if any other information required at my end.

Thanks
Charanpreet

Attachment: SyncfusionFreeTrialQuery_5392a7a3.zip

Maniratheenam Sehar [Syncfusion]
Replied On July 8, 2014 01:44 AM

Hi Charanpreet Singh,

 

Thanks for the update.

 

Query:

4.5 and 4.5.1 dll missing and

Syncfusion.Windows.Forms.Tools.TreeViewAdv is getting recognized as SWFObject.
Syncfusion.Windows.Forms.Tools.XPMenus.BarControlI nternal is getting recognized as SWFObject.

We would like to let you know that from your given details, any of the given following might lead to the cause.

1.       Copied contents of SWFConfig from C:\Program Files (x86)\Syncfusion\Essential QTP\12.1.0.43\Config\4.0
to C:\Program Files (x86)\HP\Unified Functional Testing\dat folder SWFConfig file.

Where the version used should be same as the application you wished to test.

Ex: If Application is built on 4.5 then the SWFconfig file also must be 4.5.

2.       QTP add on bin folder will contain all the  dlls of 2.0,3.5,4.0, 4.5, 4.5.1. In case, if any of the versions are missing then their might be some incomplete download, since, we’ve rechecked by downloading it. For your convenience, we have provided the link below,

https://www.syncfusion.com/downloads/version-history/12_1_0_43

3.       If you are not using VS 2013 but you tried to run 4.5 or 4.5.1 applications. Incompatible framework also cause.

 Kindly check all the above mentioned.

 

Please let us know, if you have any further concerns.

 

Regards,

ManiRatheenam S


Charanpreet Singh
Replied On July 8, 2014 07:12 PM

Hi Mani,

I have tried all the possible ways. Installed VS 2013. Now I am able to see 4.5 and 4.5.1 DLLs in Bin folder. And I have tried with all the DLLs start from 2.0, 3.5, 4.0. 4.5, & 4.5.1 in swfconfig file of UFT12.0. Still same problem. I have verified path as well for all DLLs in swfconfig file. It is absolutely correct. I have tried with multiple combination of Addins as well like in UFT I have selected .net,web,activex,syncfusion one of the combination and .net,web,syncfusion as another combination. WPF is set as default if we are selecting syncfusion as syncfusion is part of wpf addin only. 

Could you please suggest anything else to get this working. My Application name is ITRON used for Meter Data Management. It uses 3rd party control Syncfusion as Tree and Menu bars. If you can let me know ITRON 8.1 AND 8.2 is using what version of Syncfusion tool i.e build on on what version of .net technology this might help.

Appreciate your quick response.

Thanks
Charanpreet

Charanpreet Singh
Replied On July 10, 2014 01:32 PM

Any update on this. I got reply from Itron that this application uses Syncfusion version  9.1.0.20. Could you please confirm on what .Net platform Syncfusion version  9.1.0.20. is built on.


Thanks
Charanpreet

Charanpreet Singh
Replied On July 10, 2014 05:39 PM

One more observation is While Syncfusion addon is added in UFT it is not recording on COntrols. But while changing the record mode to Low Level it is genrating below code:-
Window("Itron EE ").WinObject("m_MenuTree").Click 132,196
Window("Itron EE ").WinObject("m_MenuTree").Click 119,180
Window("Itron EE ").WinObject("m_MenuTree").Click 117,1

But if SYncfusion addon is removed recording normally or default is generating below code:-

SwfWindow("Itron EE ").SwfObject("m_MenuTree").Click 117,1

Kindly let me know the solution for all the above mentioned queries. If you don't have solution kindly mention the same as well so that we can plan accordingly for SYncfusion Automation through UFT.

Thanks
Charanpreet

Maniratheenam Sehar [Syncfusion]
Replied On July 11, 2014 03:05 AM

Hi Charanpreet Singh,

 

Thanks for your update.

 

 what .Net platform Syncfusion version  9.1.0.20. is built on?

We would like to let you know that  the mentioned Syncfusion 9.1.0.20  is built on following .Net platform

Ø  2.0

Ø  3.5

Ø  4.0

Doesn’t supports 4.5 or 4.5.1.

Suggetions/solutions to your reported queries.

Before the Application to be tested check whether the following criteria are satisfied.

1.       Essential studio , QTP and the application to be tested all must be same version.

i.e. if your application is of Version X (say 9.1.0.20)then the installed Essential studio and QTP should also be Version X.(say 9.1.0.20)

2.       Swfconfig version should be as same as your respective application version, say if your application runs on 4.0 the swfconfig to be used is also 4.

3.       The framework used should be remain same for both the application and Syncfusion addon.

 

 


 

Regards,

ManiRatheenam S


Charanpreet Singh
Replied On July 11, 2014 12:14 PM

Thanks. We will download 9.1.0.20 and give it a try. It seems currently we are using Essential studio 12.1.0.43. Will keep you posted.

Thanks
Charanpreet

Maniratheenam Sehar [Syncfusion]
Replied On July 11, 2014 11:09 PM

Hi Charanpreet Singh,

 

Thanks for the update.

 

We just like to remind you again that if you are using 9.1.0.20 then, Essential Studio, QTP and your application all must be of same version and swfconfig to be used also be same. (say  3.5 in your application, then then swfconfig must also be 3.5).

 

Regards,

ManiRatheenam S


Charanpreet Singh
Replied On July 12, 2014 03:35 AM

You mean to say QTP should also be of version 9.5.? Kindly confirm. Accordingly we will take next step,

Thanks
Charanpreet

Maniratheenam Sehar [Syncfusion]
Replied On July 13, 2014 11:54 PM

Hi Charanpreet Singh,

 

Thanks for your update.

 

Yes. The QTP version must also be the same, which should be concurrent to the Essential Studio and the application to be tested.

 

Please let us know, if you have any further concerns.

 

Regards,

ManiRatheenam S


Charanpreet Singh
Replied On July 14, 2014 12:01 PM

Now we are using UFT 12.0. We cannot move to QTP 9.5. So is there no possibility we can use UFT 12.0 with Syncfusion 9.1.0.20 with .net version 4.0 having QTP Addon for 9.1.0.20 Essential studio?

Thanks
Charanpreet

Maniratheenam Sehar [Syncfusion]
Replied On July 15, 2014 11:42 PM

Hi Charanpreet Singh,

 

Thanks for the update.

 

We would like to convey that it doesn’t require to migrate, you can use UFT 12.0 with Syncfusion Essential studio 9.1.0.20 with .net  X version and QTP Addon for 9.1.0.20 with the same X version. Remember the .Net framework also must be same.

 

Please let us know, if you have any further concerns.

 

Regards,

ManiRatheenam S


Charanpreet Singh
Replied On July 16, 2014 08:02 PM

Thanks for the Reply Mani. I will try with Syncfusion version  9.1.0.20 and keep you posted.

Cheers
Charanpreet

Maniratheenam Sehar [Syncfusion]
Replied On July 21, 2014 01:43 AM

Hi Charanpreet Singh,

 

Thanks for the update. We wait until, we hear from you.

 

Regards,

ManiRatheenam S


Charanpreet Singh
Replied On July 28, 2014 05:33 PM

Hi Mani,

I have installed Syncfusion version 9.1.0.20 with QTP Addon.
UFT SWFConfig.xml file has been reconfigured and pointing to the following location:-
C:\Program Files (x86)\Syncfusion\Essential QTP\9.1.0.20\Bin\3.5

After I tried to record from Uft, received below mentioned errors:

System.NullReferenceException: Object reference not set to an instance of an object.
   at Syncfusion.TestStudio.Tools.TreeViewAdv.get_QTPDelimiter()
   at Syncfusion.TestStudio.Tools.TreeViewAdv.treeViewAdv_AfterSelect(Object sender, EventArgs e)
   at Syncfusion.Windows.Forms.Tools.TreeViewAdv.SetSelectedNode(ArrayList nodesToAdd, ArrayList nodesToRemove, TreeViewAdvAction action, Boolean fireEvent, Boolean forceRemove)
   at Syncfusion.Windows.Forms.Tools.TreeViewAdv.SetSelectedNode(ArrayList nodesToAdd, ArrayList nodesToRemove, TreeViewAdvAction action)
   at Syncfusion.Windows.Forms.Tools.TreeViewAdv.ApplyMouseBasedSelectionOn(TreeNodeAdv node)
   at Syncfusion.Windows.Forms.Tools.TreeViewAdv.OnMouseDown(MouseEventArgs e)
   at System.Windows.Forms.Control.WmMouseDown(Message& m, MouseButtons button, Int32 clicks)
   at System.Windows.Forms.Control.WndProc(Message& m)
   at Syncfusion.Windows.Forms.ScrollControl.WndProc(Message& msg)
   at Syncfusion.Windows.Forms.Tools.TreeViewAdv.WndProc(Message& m)
   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)


************** Loaded Assemblies **************
mscorlib
    Assembly Version: 4.0.0.0
    Win32 Version: 4.0.30319.18408 built by: FX451RTMGREL
    CodeBase: file:///C:/Windows/Microsoft.NET/Framework64/v4.0.30319/mscorlib.dll
----------------------------------------
System
    Assembly Version: 4.0.0.0
    Win32 Version: 4.0.30319.18408 built by: FX451RTMGREL


Is it because UFT is looking for .Net 4.0 files. If this is the case, there is no 4.0 folder installed with Syncfusion version 9.1.0.20.

Could you pleas help me out in this.

Thanks
Charanpreet

Charanpreet Singh
Replied On July 29, 2014 02:21 PM

Mani,

Do you have nay update on the query mentioned.?

Thanks
Charanpreet

Maniratheenam Sehar [Syncfusion]
Replied On July 30, 2014 03:39 AM

Hi Charanpreet Singh,

 

Thanks for your update.

 

The details furnished are very useful for us to analyze your state. We’ve provided our suggestions below to resolve your query,

 

C:\Program Files (x86)\Syncfusion\Essential QTP\9.1.0.20\Bin\3.5 -  As we said earlier, Essential studio , QTP and the application to be tested all must be same version. QTP- 9.1.0.20 contains 2.0 and 3.5 assemblies only. Moreover, you’ve mentioned,”There is no 4.0 folder installed with Syncfusion version 9.1.0.20” -It is clear that when you have Essential QTP 9.1.0.20 contains 3.5 only, then the application must also be the same 3.5 .Net framework.

 

Note:

We would like you to remind the following must conditions:

1. Essential studio and QTP must be of same version. (say if Essential Studio is of 9.1.0.20, then install the same 9.1.0.20 version QTP.)

2. The application to be tested must concurrent to Essential Studio and QTP. i.e. If your application is of 4.0, then the Essential Studio and    QTP must also contain the same 4.0. Even, if QTP doesn’t contain the particular assembly (say 4.0), then the application framework should be changed to the respective QTP assembly, similarly assembly of Essential Studio.

3. swfconfig to be used also must be same to your application framework.

 

Please let us know, if you have any further concerns.

 

Regards,

ManiRatheenam S


Charanpreet Singh
Replied On July 30, 2014 12:46 PM

Mani,

Again you are coming back to my old query that DO I need to install QTP 9.1.0.20 VERSION. The answer I got was no. it is compatible with UFT 12.0 which we are using. And UFT 12.0 uses .net 4.5. So now could you please confirm whether UFT 12.0 will support Syncfusion controls 9.1.0.20. 

Do I need to install QTP 10.0 OR 11.0 with .net 4.0 to validate this?

Thanks
Charanpreet

Charanpreet Singh
Replied On July 30, 2014 01:15 PM

Also one of my question is unanswered. Is 4.0 folder will get installed with QTP Addon Syncfusion version 9.1.0.20?

Currently it is not got installed. How can I install that.

Thanks
Charanpreet

Charanpreet Singh
Replied On July 30, 2014 04:32 PM

One more question on top of other questions.
Does Syncfusion controls support dot net 4.5 framework.

Thanks
Charanpreet

Maniratheenam Sehar [Syncfusion]
Replied On July 31, 2014 12:18 AM

Hi Charanpreet Singh,

 

Thanks for the update.

 

We would like to convey that the given queries were answered earlier, anyhow, we’ve again replied with appropriate to make you understand better.

 

Query1:

whether UFT 12.0 will support Syncfusion controls 9.1.0.20 ?

Yes. UFT 12.0 will support Syncfusion controls 9.1.0.20.

Query2:

Do I need to install QTP 10.0 OR 11.0 with .net 4.0 to validate this?

Yes. For .net 4.0 to be validated, you’ve to install QTP which supports it. Since, 9.1.0.20 version doesn’t support for 4.0, (if you wish to use 4.0 then )obviously migrate to QTP 10.0 or 11.0.

*Note:

Remember, if you still required to use 9.1.0.20, then preferably framework should match with QTP. i.e. if QTP contains 3.5 assemblies, then the application and Essential studio must also be 3.5.

Even, if you migrate to 10.0 or 11.0 QTP, if you use QTP 4.0 assemblies, then your application and Essential studio also meet the same version 4.0.

Query3:

Is 4.0 folder will get installed with QTP Addon Syncfusion version 9.1.0.20?

No. QTP Addon Syncfusion verision 9.1.0.20 supports only 2.0 and 3.5.

Query4:

Does Syncfusion controls support dot net 4.5 framework.

Yes. Syncfusion controls supports .net 4.5 framework.(corresponds to your Essential Studio and QTP )

 

Please let us know, if you’ve any further concerns.

 

Regards,

ManiRatheenam S


Shardul Ranade
Replied On October 30, 2015 05:47 AM

Hi Charanpreet Singh,

 

Thanks for the update.

 

We would like to convey that the given queries were answered earlier, anyhow, we’ve again replied with appropriate to make you understand better.

 

Query1:

whether UFT 12.0 will support Syncfusion controls 9.1.0.20 ?

Yes. UFT 12.0 will support Syncfusion controls 9.1.0.20.

Query2:

Do I need to install QTP 10.0 OR 11.0 with .net 4.0 to validate this?

Yes. For .net 4.0 to be validated, you’ve to install QTP which supports it. Since, 9.1.0.20 version doesn’t support for 4.0, (if you wish to use 4.0 then )obviously migrate to QTP 10.0 or 11.0.

*Note:

Remember, if you still required to use 9.1.0.20, then preferably framework should match with QTP. i.e. if QTP contains 3.5 assemblies, then the application and Essential studio must also be 3.5.

Even, if you migrate to 10.0 or 11.0 QTP, if you use QTP 4.0 assemblies, then your application and Essential studio also meet the same version 4.0.

Query3:

Is 4.0 folder will get installed with QTP Addon Syncfusion version 9.1.0.20?

No. QTP Addon Syncfusion verision 9.1.0.20 supports only 2.0 and 3.5.

Query4:

Does Syncfusion controls support dot net 4.5 framework.

Yes. Syncfusion controls supports .net 4.5 framework.(corresponds to your Essential Studio and QTP )

 

Please let us know, if you’ve any further concerns.

 

Regards,

ManiRatheenam S


Hi,

We have below configuration on my system

UFT 12.01 Version
.Net Framework 4.5
All syncfusion controls (grid) are developed in ver  7.x

So could you please guide us to setup UFT and configuration files so that UFT is able to identify all syncfusion objects correctly?

Regards,
Shardul Ranade

Solai A L [Syncfusion]
Replied On October 30, 2015 07:10 AM

Hi Shardul,

Thank you for using Syncfusion products.

Please refer the below KB’s and UG’s to identify the syncfusion objects using QTP.

Reference Links :
http://help.syncfusion.com/windowsforms/qtp/getting-started

https://www.syncfusion.com/kb/4842/how-to-read-a-cell-in-the-grid-control-by-using-qtp
https://www.syncfusion.com/kb/1838/how-do-i-know-that-essential-test-studio-qtp-works-as-expected

Thanks ,
AL.Solai.

Shardul Ranade
Replied On October 30, 2015 08:16 AM

Appreciated quick response....


Currently we are facing object identification issue.

We have UFT vestion 12.x which we can not rollback to previous version due to license issue and current .net framework present on sysyem is 4.5.1.

All components (grid controls) are developed in Syncfusion essential studio 7.x.


We have tried to identify component using UFT vestion 12.x and Syncfusion essential studio 12.0.36. but it is identifying object as winobejct.

We have all licence versions of Syncfusion from 7.x to 12.x

So could you please guide which version support each other.



Shardul Ranade
Replied On October 30, 2015 09:15 AM

It will be great If you provide step by step details

Shardul Ranade
Replied On October 30, 2015 09:35 AM

In application syncfusion version used is 7.3 , .Net architecutre of application is 4.0,

Solai A L [Syncfusion]
Replied On November 2, 2015 04:50 AM

Hi Shardul,


Thank you for your update.

We suspect that the issue is due to the application  and ES QTP are in different versions. You have mentioned that you have your application in 7.3, please migrate the application to 12.x and built it before providing it to UFT( the build version of application, ES QTP all should be in same version). If still the issue is not resolved, please provide us a video of how the objects are identified. So, that it would be easy for us to track the issue at the earliest.


Thanks & Regards,

AL.Solai.



Shardul Ranade
Replied On November 2, 2015 06:42 AM

Application Migration from 7.x tp 12.x will be an org level change which is not possiblr at all.
 
We have not installed any syncfusion Essentail studio on my system. So could you please suggest which SE studion we should install to identfy object correctly using
UFT 12.X and Applcaiton syncfusion 7.x
Due to compliance issue I can not able to send you code.
 

Solai A L [Syncfusion]
Replied On November 3, 2015 07:21 AM

Hi Shardul,

Thank you for your update.

Please ensure the following things Correctly to use QTP. These are basic issues usually users come across when they use QTP initially.

(i)

Configuring Syncfusion QTP Add-in:

Testing Application [Syncfusion version] &
Testing System [Installed Syncfusion Version]  &

[Syncfusion QTP Add-In version] should be same.

Eg: 
In your case Testing Application is 7.x then you should have installed the same Essential Studio version[7.x] in your system. And also you must have the same Essential QTP Add-In[7.x] installed in your system.

So please download the same QTP Add-In from the link below.

http://www.syncfusion.com/downloads/version-history/10_2_0_75

Note : Since you have mentioned that you can’t change your application version from 7.x. Please change the .net framework of your application to 3.5 and install the ES 7.x version in the testing machine with ES QTP of the same version.

It seems you are using .NET 4.0 application to Resolve the recognition and playback issue please check the following.

(ii)

How To Resolve Recognition Issue in .NET 4.0 Application:  

Apply these patches in the following order.
Patch files for HP QTP: 

Patch 00699
 : <http://support.openview.hp.com/selfsolve/document/KM1012381>
Patch 00709 : <http://support.openview.hp.com/selfsolve/document/KM1054571>

1. Download the patch file from the link. Install the Patches 00699 and 00709 paches.
2. Uninstall the Syncfusion essential QTP 10.2.0.75. don’t uninstall essential Studio.
3. Reinstall the Syncfusion essential QTP 10.2.0.75.
4. Please make sure you doesn’t have any other version in GAC.

(iii)

How To Resolve the PlayBack Issue in .NET 4.0 Application:

Please refer to any one of the following forum.

https://www.syncfusion.com/support/forums/essential%20teststudio-windows/107762

https://www.syncfusion.com/support/forums/essential%20teststudio-windows/107764


Thanks,
AL.Solai.

Shardul Ranade
Replied On November 6, 2015 07:49 AM

In note you have mentioned
Please change the .net framework of your application to 3.5 and install the ES 7.x version in the testing machine with ES QTP of the same version.

It is not possible for us to change  .net framework of an application to 3.5. It will be org level change and we have used this across 40+ application.

Does this mean
1. First install Syncfusion essential studio 7.x first
2. Download QTP addon for Syncfusion essential studio 7.x and install.

Also you mentioned that patches should be applied for object recognition issue. But in note you are asking to change framework to 3.5. This is creating some confusion.

Version of UFT (12.x) which we using currently will not have dependency. Only Syncfusion essential studio and UFT/QTP addons should be same. version. Please correct.


Anish George [Syncfusion]
Replied On November 9, 2015 06:30 AM

Hi Shardul,

Sorry for the confusion.

On installing the Syncfusion Essential Studio and Syncfusion QTP, all the assembly versions (3.5,4.0,4.5, 4.5.1) will be installed in your system. So you don’t have to change .net framework to 3.5v. You can be able to configure the QTP by using 4.0v itself.

All the other things you mentioned are correct. Both the Syncfusion Essential Studio version and Syncfusion QTP has to be same(in your case 7.x)

Please let us know is you need any further assistance.

Regards,
Anish.

Shardul Ranade
Replied On November 17, 2015 09:16 AM

So below steps we have to follow
1. Install Syncfusion Essential Studio 7.x.
2. Install Syncfusion QTP add on with version 7.x
3. Configure Syncfusion QTP add on with 4.0 framework.
4. Install Uft 12.01
5. Check whether UFT is able identify Syncfusion Grid

Query: How to configure the QTP by using 4.0v itself?
            In below reply you have mentioned "configure the QTP by using 4.0v itself". Here you are talking
            about Syncfusion QTP addon  or HP QTP/UFT.

Regards
Shardul

Shardul Ranade
Replied On November 18, 2015 12:13 AM

Cont to last quote

Also after installing essential studio (and before we install qtp addon) we have install patches.

Solai A L [Syncfusion]
Replied On November 18, 2015 08:23 AM

Hi Shardul,


Thank you for your update.
Please follow the below steps to configure with HP UFT.The Syncfusion Essential QTP Add-On can be configured with HP UFT by using the Configuration file- (“SwfConfig”). 

This configuration can be done in two ways.
(i). Utility -http://help.syncfusion.com/ug/windows%20forms/index.html#!Documents/howtoknowwhethermyswfconfigfileholdsaninvalidassemblypatrel='nofollow' hreferen.htm
(or)
(ii).Manually -http://help.syncfusion.com/ug/windows%20forms/index.html#!Documents/howtomanuallyconfiguresyncfusioncontroltoworkwithqtp.htm
Note:
While configuring manually please ensure that the (“SwfConfig”) file transferred to “HP UFT->bin folder” is from the correct Essential QTP Add-On folder. 
For Ex: If you have built your testing application using (Visual studio 2010)  and 4.0 (.Net framework version) Syncfusion assemblies. Then you should need to transfer the (“SwfConfig”) file from 4.0 folder of Syncfusion Essential QTP to HP UFT.
Thanks,
Al.Solai.

Shardul Ranade
Replied On November 19, 2015 05:09 AM

Thanks Solai.
Currently application is using 7.x hence we have to download Syncfusion essential QTP 7.x or 10.2.0.75
In one of the conversation you have written Syncfusion essential QTP 10.2.0.75.

Also do we need to install Patches also?
This XML file does not appear to have any style information associated with it. The document tree is shown below.
      <Error><Code>NoSuchKey</Code><Message>The specified key does not exist.</Message><Key>Installs/v7.4.0.20/essentialqtpaddonsetup.zip</Key><RequestId>44C37EC9999F66C7</RequestId><HostId>ydpbIOa1O6HVS3CE6nerfb0an9cqCUe7sOrurwXdyKu2x6QFKKICr7RP4pMFgOJBibFzbN85SPY=</HostId></Error>

Anish George [Syncfusion]
Replied On November 20, 2015 04:57 AM

Hi Shardul,

Sorry for the inconvenience caused.

The link for the QTP Add on has been broken temporarily. Now it has been fixed. Please check the link once again and download the QTP Add on for the version 7.4. If you are using Syncfusion Essential version 7.4 then the QTP Add on also must be of same version.

Please let us know if you need any further assistance.

Regards,
Anish.

Shardul Ranade
Replied On November 24, 2015 05:47 AM

Hi,
I installed ES & QTP Addon as below.
1. Install Syncfusion Essential Studio 7.x.
2. Install Syncfusion QTP add on with version 7.x

But I don't see Essential QTP folder in my program files.
I just see Essential Studio folder followed by 7.4.0.20. Subsequently only 2.0 & 3.5 libraries are installed.

Regards,
Shardul

Solai A L [Syncfusion]
Replied On November 25, 2015 04:04 AM

Hi Shardul,

Thank you for your update.

 We have recently release our Essential Studio 13.3 version with most advanced features and changes are made starting from the ES name to assembly names, installed location sample structures). It would be helpful for us to assist you promptly if you upgrade to the latest version.


Please find the following link to upgrade to our latest version:

https://www.syncfusion.com/forums/120659/essential-studio-2015-volume-3-final-release-v13-3-0-7-is-available-for-download 

Thanks,
AL.Solai.


Shardul Ranade
Replied On November 30, 2015 08:32 AM

Hi,

1. We have downloaded QTP add on and Installed it successfully. But we could not see folder "\Essential QTP" under "C:\Program Files (x86)\Syncfusion" hence could not able find swfconfig file under framework.

2. In Below statement it is written that "QTP Addon Syncfusion verision 9.1.0.20 supports only 2.0 and 3.5.".
 As we are using Syfusion essential studio 7.x and .net framework 4.0, will it be supported by QTP add on 7.x.
If no is there any solution?



Query3:

Is 4.0 folder will get installed with QTP Addon Syncfusion version 9.1.0.20?

No. QTP Addon Syncfusion verision 9.1.0.20 supports only 2.0 and 3.5.



Regards,
Shardul R

Shardul Ranade
Replied On November 30, 2015 08:42 AM

Hi,

My Earlier quote was continue to my previous quote.

As we discussed earlier it is not possible for migrate from Syncfusion Essential 7.x studio to latest version as it may costs org in 1 or 2 millions as many application are built on this. So as testing team we have to find out solution with same configuration.

If we install  Syncfusion Essential 13.x and qtp add on 13.x will it support application which are developed in Syncfusion Essential 7.x

Regards,
Shardul Ranade

Neelakandan Kannan [Syncfusion]
Replied On December 1, 2015 09:54 PM

Hi Shardul,

Thanks for the update.

We would like to let you know that the application will support if you upgrade to our latest version. But the application has to be built with 13.x version. If you have still any further questions, please create new incident regarding this using below link,

http://www.syncfusion.com/account/dashboard

Regards,
Neelakandan

CONFIRMATION

This post will be permanently deleted. Are you sure you want to continue?

Sorry, An error occured while processing your request. Please try again later.

You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.

;